#!/bin/bash

public_ip=`curl whatismyip.akamai.com`


# find private address on interface $INT ( either eth0 or wlan0 )
INT=eth0
local_ip=`ip addr show $INT | grep inet -m 1 | grep -e '[.0-9]*' -o | head -n 1`
if [ "$local_ip" == "" ]; then
  INT=wlan0
  local_ip=`ip addr show $INT | grep inet -m 1 | grep -e '[.0-9]*' -o | head -n 1`
fi

echo "Public address: http://$public_ip"
echo "LAN address: http://$local_ip"

