#!/usr/bin/env python

#from http.server import SimpleHTTPRequestHandler, HTTPServer
from BaseHTTPServer import HTTPServer
from SimpleHTTPServer import SimpleHTTPRequestHandler
from lib.simplerequest import SimpleRequestHandler
    
class SimpleServer( HTTPServer ):

  def __init__(self, port = 8000, request_handler = SimpleRequestHandler ):
    
    address = ''
    HTTPServer.__init__( self, (address, port), request_handler )
  
  def start(self):
    
    self.serve_forever()
  
  def close(self):
  
    self.socket.close()
  
# Start the main class
if __name__ == "__main__":

  # get data TODO
  port = 8000
  
  # server
  server = SimpleServer( port )
  
  try:
    print( "Starting Server on port " + str(port) )
    server.start()
  except KeyboardInterrupt:
    print( "Closing Server" )
    server.close()

