#!/usr/bin/env python

#from http.server import SimpleHTTPRequestHandler, HTTPServer
from BaseHTTPServer import HTTPServer
from SimpleHTTPServer import SimpleHTTPRequestHandler
from SocketServer import ForkingMixIn
from lib.simplerequest import SimpleRequestHandler
  
class ThreadingHTTPServer(ForkingMixIn, HTTPServer):
    pass

# Start the main class
if __name__ == "__main__":

  # get data TODO
  host = ''
  port = 8000
  
  # server
  server = ThreadingHTTPServer( (host, port), SimpleRequestHandler )
  
  try:
    print( "Starting Server on port " + str(port) )
    server.serve_forever()
  except KeyboardInterrupt:
    print( "Closing Server" )
    server.socket.close()

